# Uses of Interface
org.opensaml.soap.wstrust.Renewing

Packages that use Renewing
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of Renewing in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement Renewing
Modifier and Type
Class
Description
`class`
`RenewingImpl`
RenewingImpl.
Methods in org.opensaml.soap.wstrust.impl that return Renewing
Modifier and Type
Method
Description
`Renewing`
RenewingBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`Renewing`
RenewingBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.